<?php

namespace Drupal\commerce_sezzle_pay;

use Symfony\Component\HttpFoundation\Request;

/**
 * Provides a handler for webhooks requests from SezzlePay
 */
interface WebHookHandlerInterface {

  /**
   * Processes an incoming webhook request.
   *
   * @param \Symfony\Component\HttpFoundation\Request $request
   *   The request.
   *
   * @return mixed
   *   The request data array.
   *
   * @throws \Symfony\Component\HttpKernel\Exception\HttpException
   */
  public function process(Request $request);

}
